"{ Package: 'stx:libwidg' }"

LibraryDefinition subclass:#stx_libwidg
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_libwidg class methodsFor:'description'!

classNamesAndAttributes
    ^ #(
	"/ <className> or (<className> attributes...)
	'ArrowButton'
	'Button'
	'ButtonController'
	'CheckLabel'
	'CheckToggle'
	'ClickMenuView'
	'CodeView'
	'DialogBox'
	'EditField'
	'EditTextView'
	'EnterBox'
	'EnterBox2'
	'EnterFieldGroup'
	'FileSaveBox'
	'FileSelectionBox'
	'FileSelectionList'
	'FontPanel'
	'FramedBox'
	'HVScrollableView'
	'HorizontalMiniScroller'
	'HorizontalPanelView'
	'HorizontalScrollBar'
	'HorizontalScroller'
	'InfoBox'
	'Label'
	'ListSelectionBox'
	'ListView'
	('ListViewController' #autoload)
	'MenuView'
	'MiniScroller'
	'MultiSelectionInList'
	'ObjectView'
	'OptionBox'
	'PanelView'
	'PopUpList'
	'PopUpListController'
	'PopUpMenu'
	'PullDownMenu'
	'RadioButton'
	'RadioButtonController'
	'RadioButtonGroup'
	'ScrollBar'
	'ScrollableView'
	'Scroller'
	'SelectionInList'
	'SelectionInListView'
	'SequenceView'
	'TextCollector'
	'TextView'
	'Toggle'
	'ToggleController'
	'VariableHorizontalPanel'
	'VariableHorizontalPanelController'
	'VariablePanel'
	'VariablePanelController'
	'VariableVerticalPanel'
	'VariableVerticalPanelController'
	'VerticalPanelView'
	'WarningBox'
	'Workspace'
	'YesNoBox'
	'stx_libwidg'
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libwidg class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libwidg class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg/stx_libwidg.st,v 1.1 2006-08-21 17:41:45 cg Exp $'
! !
